Bug 831605 - CONFIG_HYPERV is not set in kernel-3.4.0-1.fc17.x86_64
CONFIG_HYPERV is not set in kernel-3.4.0-1.fc17.x86_64
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 08:20 EDT by Romain KUBANY
Modified: 2012-07-05 11:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-05 11:44:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Romain KUBANY 2012-06-13 08:20:01 EDT
Description of problem: The kernel configuration option "CONFIG_HYPERV" is not set with Fedora 17 kernel (3.4.0-1).
This prevent us from activating support for our virtualization technology : MS Hyper-V even now all of those drivers are out of the staging branch.


Version-Release number of selected component (if applicable): kernel-3.4.0-1.fc17.x86_64


How reproducible: Always


Steps to Reproduce:
1. Install minimal Fedora 17 amd64 from DVD
2. /boot/config-3.4.0-1.fc17.x86_64
  
Actual results: Output is : "# CONFIG_HYPERV is not set"


Expected results: Output 'should' be "CONFIG_HYPERV=y"


Additional info: We do not ask for full activation of all the hv_* kernel modules. Just this option would be sufficient as it would allow us to build our own kmod-hyperv package or something like that.
Comment 1 Josh Boyer 2012-06-13 09:04:12 EDT
We build them as modules in rawhide.  We wouldn't set them =y.

We'll discuss enabling them in F17 this week.
Comment 2 Romain KUBANY 2012-06-15 05:47:16 EDT
As a complementary information I've tested this kernel package from Koji under Fedora 17 x86_64 : http://koji.fedoraproject.org/koji/buildinfo?buildID=325403

It's working fine under Hyper-V but the disk (VHD) is recognized twice :

Once by ata_piix (which is built "in-kernel" so can't be blacklisted) as /dev/sda
Once by hv_storvsc as /dev/sdb

# fdisk -l

Disque /dev/sda : 10.7 Go, 10737377280 octets
255 têtes, 63 secteurs/piste, 1305 cylindres, total 20971440 secteurs
Unités = secteur de 1 * 512 = 512 octets
Taille de secteur (logique / physique) : 512 octets / 512 octets
taille d'E/S (minimale / optimale) : 512 octets / 512 octets
Identifiant de disque : 0x0007a99d

Périphérique Amorce  Début        Fin      Blocs     Id  Système
[...]

Disque /dev/sdb : 10.7 Go, 10737418240 octets
255 têtes, 63 secteurs/piste, 1305 cylindres, total 20971520 secteurs
Unités = secteur de 1 * 512 = 512 octets
Taille de secteur (logique / physique) : 512 octets / 512 octets
taille d'E/S (minimale / optimale) : 512 octets / 512 octets
Identifiant de disque : 0x0007a99d

Périphérique Amorce  Début        Fin      Blocs     Id  Système
[...]


# lshw -C STORAGE
  *-ide
       description: IDE interface
       produit: 82371AB/EB/MB PIIX4 IDE
       fabriquant: Intel Corporation
       identifiant matériel: 7.1
       information bus: pci@0000:00:07.1
       version: 01
       bits: 32 bits
       horloge: 33MHz
       fonctionnalités: ide bus_master
       configuration: driver=ata_piix latency=0
       ressources: irq:0 portE/S:1f0(taille=8) portE/S:3f6 portE/S:170(taille=8) portE/S:376 portE/S:ffa0(taille=16)

As an information we had the same problem under Ubuntu 12.04 but they managed it with some patching : https://bugs.launchpad.net/ubuntu/+source/linux/+bug/929545/comments/30

I'm at your disposal for any testing you may need to do :)

Thank you for your time.
Comment 3 Josh Boyer 2012-07-05 11:44:49 EDT
This is enabled in the 3.4.3-X kernel updates.

Note You need to log in before you can comment on or make changes to this bug.